<?php

namespace TB\BenzerKonular\XF\Pub\Controller;

use XF\Mvc\ParameterBag;

class Forum extends XFCP_Forum
{

	public function actionBenzerKonular(ParameterBag $params)
	{
	
		$parent = parent::actionIndex($params);

		$visitor = \XF::visitor();				

		if (!$visitor->hasPermission('benzerKonular', 'view'))
		{
			return $parent;
		}

		$options = \XF::options();	
		
		$showPostThread = $options->benzerKonularKonuAcarken;

		
		if (!$showPostThread)
		{
			return $parent;
		}

		$currentNodeId = $params->node_id;
		
		$currentThreadId = 0;
		
		$threadTitle = $this->filter('title', 'str');
		
	    $benzerKonular = $this->getBenzerKonularRepo()->getBenzerKonular($currentNodeId, $currentThreadId, $threadTitle);

		$viewParams = [
		   'benzerKonular' => $benzerKonular
		];

		return $this->view('TB\BenzerKonular:PostThread', 'tb_benzerkonular_arama', $viewParams);
	}
	
	protected function getBenzerKonularRepo()
	{
	   return $this->repository('TB\BenzerKonular:BenzerKonular');
	}
}